Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity find_ds2 is
Port 	(	clk		:	in	bit;
			en		:	in	bit;
			dtvi2	:	in	integer range 0 to 199;
			dtvi1	:	out	integer range 0 to 19;
			ds2		:	out	integer range 0 to 9
		);
End ;

Architecture find_ds2_a of find_ds2 is
begin
Process (clk)
Variable nmax: integer range 0 to 255;
Variable d_value :	integer range 0 to 15;
Begin

--	Find ds2 number
if en = '0' then
	nmax := 19;
	d_value := 0;

elsif clk = '1' and clk'event then

		if dtvi2 > nmax then
			d_value := d_value + 1;
			nmax := nmax + 20;
		else
			ds2 <= d_value;
			dtvi1 <= dtvi2 + 20 - nmax - 1;
		end if;

end if;
end process;
end;

