Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity Bus3_to_7 is
Port 	(	Bus1_8	:	in	unsigned(3 DOWNTO 0);
			Bus2_8	:	in	unsigned(3 DOWNTO 0);
			Bus3_8	:	in	unsigned(3 DOWNTO 0);
			Bus1_7	:	out	unsigned(7 DOWNTO 0);
			Bus2_7	:	out	unsigned(7 DOWNTO 0);
			Bus3_7	:	out	unsigned(7 DOWNTO 0)
		);
End ;

Architecture Bus3_to_7_a of Bus3_to_7 is
begin
Process
Begin

Bus1_7(0) <= Bus1_8(0);
Bus1_7(1) <= Bus1_8(1);
Bus1_7(2) <= Bus1_8(2);
Bus1_7(3) <= Bus1_8(3);
Bus1_7(4) <= '0';
Bus1_7(5) <= '0';
Bus1_7(6) <= '0';
Bus1_7(7) <= '0';

Bus2_7(0) <= Bus2_8(0);
Bus2_7(1) <= Bus2_8(1);
Bus2_7(2) <= Bus2_8(2);
Bus2_7(3) <= Bus2_8(3);
Bus2_7(4) <= '0';
Bus2_7(5) <= '0';
Bus2_7(6) <= '0';
Bus2_7(7) <= '0';

Bus3_7(0) <= Bus3_8(0);
Bus3_7(1) <= Bus3_8(1);
Bus3_7(2) <= Bus3_8(2);
Bus3_7(3) <= Bus3_8(3);
Bus3_7(4) <= '0';
Bus3_7(5) <= '0';
Bus3_7(6) <= '0';
Bus3_7(7) <= '0';

end process;
end ;

