Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity Bus7_to_3 is
Port 	(	Bus1_7	:	in	unsigned(7 DOWNTO 0);
			Bus2_7	:	in	unsigned(7 DOWNTO 0);
			Bus3_7	:	in	unsigned(7 DOWNTO 0);
			Bus1_3	:	out	unsigned(3 DOWNTO 0);
			Bus2_3	:	out	unsigned(3 DOWNTO 0);
			Bus3_3	:	out	unsigned(3 DOWNTO 0)
		);
End ;

Architecture Bus7_to_3_a of Bus7_to_3 is
begin
Process
Begin

Bus1_3(0) <= Bus1_7(0);
Bus1_3(1) <= Bus1_7(1);
Bus1_3(2) <= Bus1_7(2);
Bus1_3(3) <= Bus1_7(3);

Bus2_3(0) <= Bus2_7(0);
Bus2_3(1) <= Bus2_7(1);
Bus2_3(2) <= Bus2_7(2);
Bus2_3(3) <= Bus2_7(3);

Bus3_3(0) <= Bus3_7(0);
Bus3_3(1) <= Bus3_7(1);
Bus3_3(2) <= Bus3_7(2);
Bus3_3(3) <= Bus3_7(3);

end process;
end ;

