Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity div100_clk is
Port 	(	clk		:	in	bit;
			t_sec	:	out	bit
		);
End ;

Architecture div100_clk_a of div100_clk is
Begin

Process (clk)
Variable cnt	:	integer range 0 to 127 := 0;
Begin
if clk'event and clk = '1' then
	if cnt > 98 then
		cnt := 0;
	elsif cnt > 49 then				
		t_sec	<= '1';
		cnt := cnt + 1;
	else
		t_sec	<= '0';
		cnt := cnt + 1;
	end if;
	
end if;
End process;
End ;
