Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity div_clock is
Port 	(	clk		:	in	bit;
			dclk	:	out	bit
		);
End ;

Architecture div_clock_a of div_clock is
Begin
Process (clk)
Variable cnt	:	integer range 0 to 1 := 0;
Begin
if clk'event and clk = '0' then
	if cnt > 0 then
		dclk <= '1';
	else
		dclk <= '0';
	end if;
	cnt := cnt + 1;
end if;
End process;
End ;
