Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity find_ds23 is
Port 	(	clk		:	in	bit;
			en		:	in	bit;
			dtvi3	:	in	integer range 0 to 255;
			dtvi1	:	out	integer range 0 to 19;
			ds2		:	out	integer range 0 to 9;
			ds3		:	out	integer range 0 to 9
		);
End ;

Architecture find_ds23_a of find_ds23 is
begin
Process(clk)
Variable dtvi2	:	integer range 0 to 199;
Variable nmax : integer range 0 to 255;
Variable d_value :	integer range 0 to 15;
Begin

if en = '0' then
	nmax := 179;
	d_value := 9;

elsif clk = '1' and clk'event then

	if dtvi3 > 199  then
		ds3 <= 1;
		dtvi2 := dtvi3 - 200;
	else
		ds3 <= 0;
		dtvi2 := dtvi3;
	end if;
	
	if dtvi2 < nmax then
		d_value := d_value - 1;
		nmax := nmax - 20;
	else
		ds2 <= d_value;
		dtvi1 <= dtvi2 - nmax - 1;
	end if;

end if;
end process;
end;

