Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity ram_w_smp is
Port 	(	en1		:	in	bit;
			en2		:	in	bit;
			t_0_2s	:	in	bit;
			temp	:	in	integer range 0 to 255;
			we		:	out	bit;
			add		:	out	integer range 0 to 4095;
			add_lt	:	out	integer range 0 to 4095;
			do		:	out	integer range 0 to 255
		);
End ;

Architecture ram_w_smp_a of ram_w_smp is
begin

do <= temp;

Process (t_0_2s)
Variable	cnt		:	integer range 0 to 511 := 0;
Variable	add_int	:	integer range 0 to 4095 := 0;
Variable	scnt	:	integer range 0 to 511 := 0;
Begin

--	Sampling Write Data to RAM

add <= add_int;
if en1 = '0' and en2 = '0' then
	we <= '1';
	add_int := 0;
	scnt := 299;
	cnt := 0;
elsif t_0_2s'event and t_0_2s = '1' then
	if en1 = '1' then
		scnt := 9;
	end if;
	add_lt <= add_int;
	if cnt = scnt then
		we <= '0';
		cnt := 0;		
		add_int := add_int + 1;
--	elsif cnt = scnt then
--		add_int := add_int + 1;	cnt := 0;
	else
		we <= '1';	cnt := cnt + 1;
	end if;
end if;
End Process;
End ;







