Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity time10_wram is
Port 	(	time10_sec	:	in	bit;
			en1			:	in	bit;
			en2			:	in	bit;
			time_out	:	out	bit
		);
End ;

Architecture time10_wram_a of time10_wram is
Begin
Process (time10_sec)
Variable cnt	:	integer range 0 to 4095 := 0;
Begin
if en2 = '0' then
	time_out <= '0';
	cnt := 0;

elsif time10_sec'event and time10_sec = '0' then

	if cnt > 4094 and en1 = '0' then
		time_out <= '0';
		cnt := cnt + 1;
	elsif en1 = '0' then
		time_out <= '1';
		cnt := cnt + 1;
	end if;

end if;
End process;
End ;
