Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity time_to_com is
Port 	(	sw_smp	:	in	bit;
			HH_in	:	in	integer range 0 to 31;
			MM_in	:	in	integer range 0 to 63;
			SS_in	:	in	integer range 0 to 63;
			HH_out	:	out	integer range 0 to 31;
			MM_out	:	out	integer range 0 to 63;
			SS_out	:	out	integer range 0 to 63
		);
End ;

Architecture time_to_com_a of time_to_com is
begin
Process (sw_smp)
Begin
if sw_smp = '1' and sw_smp'event then
		HH_out <= HH_in;
		MM_out <= MM_in;
		SS_out <= SS_in;
end if;

end process;
end ;
