Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity time_wram is
Port 	(	time_sec	:	in	bit;
			en1			:	in	bit;
			en2			:	in	bit;
			time_out	:	out	bit
		);
End ;

Architecture time_wram_a of time_wram is
Begin
Process (time_sec)
Variable cnt : integer range 0 to 4095 := 0;
Begin
if en1 = '0' and en2 = '0' then
	time_out <= '0';
	cnt := 0;
elsif time_sec'event and time_sec = '0' then
	if en1 = '1' then
			time_out <= '1';
	elsif en2 = '1' then
		if cnt >= 10 then
			time_out <= '1';
		else
			time_out <= '0';
		end if;
	end if;
		cnt := cnt + 1;
end if;
End process;
End ;
