// ommunication.cpp: implementation of the Communication class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "SeriesPort.h"
#include "ommunication.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif
COMMTIMEOUTS	CommTimeout;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Communication::Communication()
{

}

Communication::~Communication()
{

}

void Communication::Connect()
{
	CloseHandle(hComp);
	hComp = CreateFile( chCommPort, GENERIC_READ | GENERIC_WRITE, 0, NULL, OPEN_EXISTING, 0, NULL );
	if (hComp == INVALID_HANDLE_VALUE) {}
	valReturn = GetCommState(hComp, &dcb);
	if (!valReturn ) {	}
	CommTimeout.ReadIntervalTimeout = MAXDWORD;  
	CommTimeout.ReadTotalTimeoutMultiplier = 0;  
	CommTimeout.ReadTotalTimeoutConstant = 100;    
	CommTimeout.WriteTotalTimeoutMultiplier = 10;  
	CommTimeout.WriteTotalTimeoutConstant = 1000;
	SetCommTimeouts(hComp, &CommTimeout);
	dcb.BaudRate = CBR_9600; 
	dcb.ByteSize = 8; 
	dcb.Parity = NOPARITY; 
	dcb.StopBits = ONESTOPBIT; 
	valReturn = SetCommState(hComp, &dcb);
}

void Communication::RealMode()
{
	CString RealMode = "CR";
	WriteFile(hComp,RealMode,2,&nWritePort, NULL);
}

void Communication::StartRecordMode()
{
	CString RealMode = "CB";
	WriteFile(hComp,RealMode,2,&nWritePort, NULL);
	FirstRec = TRUE;
}

void Communication::ReadRecordMode()
{
	CString RealMode = "CG";
	WriteFile(hComp,RealMode,2,&nWritePort, NULL);
	FirstRec = TRUE;
}

void Communication::Disable()
{
	CloseHandle(hComp);
	Enable = FALSE;
}

void Communication::Receive()
{
	CString m_Code;
	ReadFile(hComp,&chBuff,5,&nReadPort,NULL);
	Buff =&chBuff;
	cTypeMode = Buff.GetAt(0);	cReceive1 = Buff.GetAt(1);	cReceive2 = Buff.GetAt(2);
	cReceive3 = Buff.GetAt(3);	cReceive4 = Buff.GetAt(4);
	iTypeMode = cTypeMode;	iReceive1 = cReceive1;	iReceive2 = cReceive2;
	iReceive3 = cReceive3;	iReceive4 = cReceive4;
	Mode = iTypeMode;
	if ( iTypeMode == 82 )
	{
		Temp = (iReceive1)/2;
	}
	else
	{
		if ( iTypeMode == 71 )
		{	
			Temp = (iReceive4)/2;
			Hour = cReceive1;
			Min = cReceive2;
			Sec = cReceive3;
		}
	}
}

