Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity delaysw is
Port 	(	sw_smp	:	in	bit;
			clk		:	in	bit;
			sw_out	:	out integer range 0 to 1
		);
End ;

Architecture delaysw_a of delaysw is
Begin
Process (clk) 
Variable cnt : integer range 0 to 15 := 0;
Begin
if sw_smp = '1' then
	cnt := 0;
	sw_out <= 0;
elsif clk'event and clk= '1' then
	if cnt < 14 then
		cnt := cnt + 1;
		sw_out <= 0;
	else
		sw_out <= 1;
	end if;
end if;
End process;
End ;
