Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity COM_to_Seg is
Port 	(	data_in		:	in	integer range 0 to 255;
			data_out	:	out	integer range 0 to 255
		);
End ;

Architecture COM_to_Seg_a of COM_to_Seg is
begin
Process
Begin
	case data_in is
		when 48 =>	data_out <= 192;
		when 49 =>	data_out <= 249;
		when 50 =>	data_out <= 164;
		when 51 =>	data_out <= 176;
		when 52 =>	data_out <= 153;
		when 53 =>	data_out <= 146;
		when 54 =>	data_out <= 130;
		when 55 =>	data_out <= 248;
		when 56 =>	data_out <= 128;
		when 57 =>	data_out <= 144;
		when others =>
	end case;
end process;
end ;
