Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity convert_to_unsigned is
Port 	(	hh			:	in	integer range 0 to 23;
			mm			:	in	integer range 0 to 59;
			ss			:	in	integer range 0 to 59;
			ptc_hh		:	out	unsigned( 7 downto 0);
			ptc_mm		:	out	unsigned( 7 downto 0);
			ptc_ss		:	out	unsigned( 7 downto 0)
		);
End ;

Architecture convert_to_unsigned_a of convert_to_unsigned is
begin

--	CONVERT DATA FROM INTEGER DATA TO UNSIGNED DATA
ptc_hh <= conv_unsigned(hh,8);
ptc_mm <= conv_unsigned(mm,8);
ptc_ss <= conv_unsigned(ss,8);

end ;
