Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity counter_scan is
Port 	(	dclk		:	in	bit;
			ds1			:	in	integer range 0 to 9;
			ds2			:	in	integer range 0 to 9;
			ds3			:	in	integer range 0 to 9;
			dsv			:	out integer range 0 to 9
		);
End ;

Architecture counter_scan_a of counter_scan is
begin
Process (dclk)
Variable	cnt	:	integer range 0 to 3 := 0;
Begin
if dclk'event and dclk = '0' then

	cnt := cnt + 1;
	case cnt is
		when 0 =>	
		when 1 =>	dsv <= ds1;
		when 2 =>	dsv <= ds2;
		when 3 =>	dsv <= ds3;
	end case;

end if;
end process;

end ;

