Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity drive_7segment is
Port 	(	dclk		:	in	bit;
			ds0			:	in	bit;
			dso			:	in	std_logic_vector(7 downto 0);
			ds_out		:	out std_logic_vector(7 downto 0);
			col_scan	:	out std_logic_vector(3 downto 0)
		);
End ;

Architecture drive_7segment_a of drive_7segment is
begin
Process (dclk)
Variable	cnt	:	integer range 0 to 3 := 0;
Begin
if dclk'event and dclk = '1' then

	case cnt is
		when 0 =>	
			if ds0 = '0' then
				ds_out <= "11000000";
			else
				ds_out <= "10010010";
			end if;
			col_scan <= "0111";
			cnt := cnt + 1;
		when 1 =>
			ds_out(0) <= dso(0);
			ds_out(1) <= dso(1);
			ds_out(2) <= dso(2);
			ds_out(3) <= dso(3);
			ds_out(4) <= dso(4);
			ds_out(5) <= dso(5);
			ds_out(6) <= dso(6);
			ds_out(7) <= '0';
			col_scan <= "1011"; cnt := cnt + 1;
		when 2 => ds_out <= dso;col_scan <= "1101";cnt:=cnt+1;
		when 3 => ds_out <= dso;col_scan <= "1110";cnt:=cnt+1;
	end case;

end if;
end process;

end ;

