Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity Find_DsTime is
Port 	(	MM		:	in	integer range 0 to 255;
			SS		:	in	integer range 0 to 255;
			ds0		:	out	bit;
			ds1		:	out	integer range 0 to 15;
			ds2		:	out	integer range 0 to 15;
			ds3		:	out	integer range 0 to 15
		);
End ;

Architecture Find_DsTime_a of Find_DsTime is
begin
Process
Variable d : integer range 0 to 255;
Begin

case MM is
	when 0 => ds3 <= 0;
	when 1 => ds3 <= 1;
	when 2 => ds3 <= 2;
	when 3 => ds3 <= 3;
	when 4 => ds3 <= 4;
	when 5 => ds3 <= 5;
	when 6 => ds3 <= 6;
	when 7 => ds3 <= 7;
	when 8 => ds3 <= 8;
	when 9 => ds3 <= 9;
	when others =>
end case;

if SS < 10 then
	ds2 <= 0;
	d := SS;
elsif SS < 20 then
	ds2 <= 1;
	d := SS - 10;
elsif SS < 30 then
	ds2 <= 2;
	d := SS - 20;
elsif SS < 40 then
	ds2 <= 3;
	d := SS - 30;
elsif SS < 50 then
	ds2 <= 4;
	d := SS - 40;
else
	ds2 <= 5;
	d := SS - 50;
end if;

case d is
	when 0 => ds1 <= 0;
	when 1 => ds1 <= 1;
	when 2 => ds1 <= 2;
	when 3 => ds1 <= 3;
	when 4 => ds1 <= 4;
	when 5 => ds1 <= 5;
	when 6 => ds1 <= 6;
	when 7 => ds1 <= 7;
	when 8 => ds1 <= 8;
	when 9 => ds1 <= 9;
	when others =>
end case;

ds0 <= '0';
End process;
end ;

