Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity time_to_com is
Port 	(	HH_in	:	in	integer range 0 to 255;
			MM_in	:	in	integer range 0 to 255;
			SS_in	:	in	integer range 0 to 255;
			HH_out	:	out	integer range 0 to 255;
			MM_out	:	out	integer range 0 to 255;
			SS_out	:	out	integer range 0 to 255
		);
End ;

Architecture time_to_com_a of time_to_com is
begin
Process
Begin

if HH_in < 24 then
	HH_out <= 48 + HH_in;
end if;
	
if MM_in < 60 then
	MM_out <= 48 + MM_in;
end if;

if SS_in < 60 then
	SS_out <= 48 + SS_in;
end if;

end process;
end ;
