Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity Seq_series_data is
Port 	(	loop_data	:	in	bit;
			en_lp		:	in	bit;
			temp_real	:	in	integer range 0 to 255;
			en_txd		:	out	bit;
			data_s		:	out	integer range 0 to 255
		);
End ;

Architecture Seq_series_data_a of Seq_series_data is
Begin
Process (loop_data)
Variable pte: integer range 0 to 255 := 0;
Variable cnt : integer range 0 to 15 := 0;
Variable data : integer range 0 to 255;
Begin
if loop_data = '1' and loop_data'event then
	if en_lp = '1' then
		if temp_real > 127 then
			pte := 71;
		else
			pte := 82;
		end if;
		if cnt = 0 then
			en_txd <= '1';	data_s <= pte;	cnt := cnt + 1;		
		elsif cnt = 2 then
			en_txd <= '1';	data_s <= temp_real;	cnt := cnt + 1;	
		elsif cnt = 3 then
			en_txd <= '0';	
		else
			en_txd <= '0';	cnt := cnt + 1;		
		end if;
	else
		cnt := 0;
		en_txd <= '0';

	end if;
end if;
End Process;
End;
