Library ieee;
Use ieee.std_logic_1164.all;
USE ieee.std_logic_arith.all;

Entity sw_on_off is
Port 	(	sw_recode	:	in	bit;
			en			:	out integer range 0 to 1
		);
End ;

Architecture sw_on_off_a of sw_on_off is
Begin
Process (sw_recode) 
Variable cnt_en	:	integer range 0 to 1 := 0;
Begin
if sw_recode'event and sw_recode = '0' then
	cnt_en := cnt_en + 1;
	en <= cnt_en;
end if;
End process;
End ;
