// SeriesPortDlg.cpp : implementation file
//

	#include "stdafx.h"
	#include "SeriesPort.h"
	#include "SeriesPortDlg.h"

	#ifdef _DEBUG
	#define new DEBUG_NEW
	#undef THIS_FILE
	static char THIS_FILE[] = __FILE__;
	#endif
	CString TRH0,TRH1,TRM0,TRM1,TRS0,TRS1;
	BOOL LongFlg,StartPG;
	int OldSec;
	int NumData,OldNumData,NumPlot;
	int TempValue[4800] ;
	int RTR;

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSeriesPortDlg dialog

CSeriesPortDlg::CSeriesPortDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSeriesPortDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSeriesPortDlg)
	m_TextTemp = 0.0f;
	m_TimeData = _T("");
	m_TimeCount = _T("");
	m_N = 0;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CSeriesPortDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSeriesPortDlg)
	DDX_Control(pDX, IDC_COMBO, m_Combo);
	DDX_Text(pDX, IDC_EDIT4, m_TextTemp);
	DDX_Text(pDX, IDC_EDIT3, m_TimeData);
	DDX_Text(pDX, IDC_EDIT1, m_TimeCount);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSeriesPortDlg, CDialog)
	//{{AFX_MSG_MAP(CSeriesPortDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_BUTTON2, OnConnect)
	ON_BN_CLICKED(IDC_BUTTON4, OnExit)
	ON_BN_CLICKED(IDC_RADIO1, OnSelCom1)
	ON_BN_CLICKED(IDC_RADIO2, OnSelCom2)
	ON_BN_CLICKED(IDC_BUTTON1, OnRealMode)
	ON_WM_TIMER()
	ON_WM_DESTROY()
	ON_WM_CREATE()
	ON_BN_CLICKED(IDC_BUTTON3, OnRecordTemp)
	ON_BN_CLICKED(IDC_BUTTON5, OnDisconnect)
	ON_CBN_SELCHANGE(IDC_COMBO, OnSelchangeCombo)
	ON_BN_CLICKED(IDC_CHKLONGTIME, OnChklongtime)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSeriesPortDlg message handlers

BOOL CSeriesPortDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	Comm.FirstRec = FALSE;
	Comm.SelReal = FALSE;
	Comm.SelRec = FALSE;
	Comm.Realflag = FALSE;
	Comm.Recflag = FALSE;
	Comm.Enable = FALSE;
	LongFlg = FALSE;
	StartPG = TRUE;
	nSelectCombo = 0;
	RTR = 1;
	m_Combo.AddString("1.  1 Min");
	m_Combo.AddString("2.  4 Min");
	m_Combo.AddString("3. 20 Min");
	m_Combo.AddString("4. 1 Hour");
	m_Combo.AddString("5. 5 Hour");
	m_Combo.AddString("6. 20 Hour");
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CSeriesPortDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CSeriesPortDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
	PG.Build(this);
	SelScale();
	if(StartPG==FALSE)	{	SelPlotter();	}
}

HCURSOR CSeriesPortDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CSeriesPortDlg::OnConnect() 
{
	Comm.Connect();
	StartPG = FALSE;
}

void CSeriesPortDlg::OnRealMode()
{
	Comm.Disable();
	Comm.Connect();
	NumData = 0;
	OldNumData = 0;
	Comm.FirstRec = FALSE;
	if (!Comm.valReturn){MessageBox("You must select Com Port","Don't Connect",MB_ICONINFORMATION);}
	else{Comm.SelReal = TRUE;}
	PG.SelPen = TRUE;
	StartPG = FALSE;
	Comm.SelRec = FALSE;
	Comm.Realflag = FALSE;
	Comm.Recflag = FALSE;
	Comm.Enable = TRUE;
}

void CSeriesPortDlg::OnRecordTemp()
{
	Comm.Disable();
	Comm.Connect();
	NumData = 0;
	OldNumData = 0;
	Comm.FirstRec = FALSE;
	Comm.SelReal = FALSE;
	if (!Comm.valReturn){MessageBox("You must select Com Port","Don't Connect",MB_ICONINFORMATION);}
	else{Comm.SelRec = TRUE;}
	PG.SelPen = FALSE;
	StartPG = FALSE;
	Comm.Realflag = FALSE;
	Comm.Recflag = FALSE;
	Comm.Enable = TRUE;
}
void CSeriesPortDlg::OnDisconnect() 
{
	Comm.Disable();
	Comm.Connect();
	SelScale();
	if(StartPG==FALSE)	{	SelPlotter();	}
}

void CSeriesPortDlg::OnExit()
{
	CDialog::OnCancel();
}

void CSeriesPortDlg::OnSelCom1() 
{
	Comm.chCommPort = "COM1";
}

void CSeriesPortDlg::OnSelCom2() 
{
	Comm.chCommPort = "COM2";
}


void CSeriesPortDlg::OnTimer(UINT nIDEvent) 
{
	int TCD,TCH,TCM,TCS = 0;
	CString CSTCD0,CSTCD1,CSTCH0,CSTCH1,CSTCM0,CSTCM1,CSTCS0,CSTCS1;
	_strtime( Time );
	m_TimeData = Time;
	if (Comm.Enable == TRUE)
	{
		if (Comm.SelReal == TRUE)
		{	if (Comm.Realflag == FALSE)	{	Comm.RealMode();	}
			else
			{
				if (NumData == 0)
				{
					OldSec = Time[7];
					Comm.Receive();
					TempValue[NumData] = Comm.Temp*2;
					OldNumData = NumData;
					NumData = NumData + 1;
					PG.TimeStart = Time;
					SelScale();
				}
				else
				{
					if (Time[7] == OldSec)	{	}
					else
					{
						OldSec = Time[7];
						OldNumData = NumData;
						NumData = NumData + 1;
					}
					Comm.Receive();
					if (Comm.Temp <= 0 ) {Comm.Temp = - Comm.Temp;}
					TempValue[NumData] = Comm.Temp*2;
					if(NumData==3)
					{
						TempValue[0] = TempValue[3];
						TempValue[1] = TempValue[3];
						TempValue[2] = TempValue[3];
						SelScale();
					}
					NumPlot = NumData;
					if (NumPlot<=4800){	SelPlotter(); }
					if (NumPlot==75){nSelectCombo=1; SelScale();}
					if (NumPlot==300){nSelectCombo=2; SelScale();}
					if (NumPlot==1200){nSelectCombo=3; SelScale();}
					if (NumPlot==4800){nSelectCombo=4; SelScale();}
				}
			}
			Comm.Realflag = !Comm.Realflag;
		}
		if (Comm.SelRec == TRUE)
		{	if (Comm.FirstRec == FALSE)
			{	Comm.StartRecordMode();	}
			else
			{
				if (Comm.Recflag == FALSE)		{	Comm.ReadRecordMode();	}
				else
				{
					if (NumData == 0)
					{
						Comm.Receive();
						TempValue[NumData] = Comm.Temp*2;
						OldNumData = NumData;
						NumData = NumData + 1;
						TRH0 = (Comm.Hour/10)+48;
						TRH1 = (Comm.Hour-(Comm.Hour/10)*10)+48;
						TRM0 = (Comm.Min/10)+48;
						TRM1 = (Comm.Min-(Comm.Min/10)*10)+48;
						TRS0 = (Comm.Sec/10)+48;
						TRS1 = (Comm.Sec-(Comm.Sec/10)*10)+48;
						PG.TimeStart = TRH0+TRH1+":"+TRM0+TRM1+":"+TRS0+TRS1;
						SelScale();
					}
					else
					{
						OldNumData = NumData;
						if(Comm.Mode==71){NumData = NumData + 1;}
						else{	CSeriesPortDlg::OnDisconnect();	}
						Comm.Receive();
						if (Comm.Temp <= 0 ) {Comm.Temp = - Comm.Temp;}
						TempValue[NumData] = Comm.Temp*2;
						if(NumData==3)
						{
							TempValue[0] = TempValue[3];
							TempValue[1] = TempValue[3];
							TempValue[2] = TempValue[3];
							SelScale();
						}
						NumPlot = NumData;
						if (NumPlot<=76800/RTR){	SelPlotter(); }
						if (NumPlot==75/RTR){nSelectCombo=1; SelScale();}
						if (NumPlot==300/RTR){nSelectCombo=2; SelScale();}
						if (NumPlot==1200/RTR){nSelectCombo=3; SelScale();}
						if (NumPlot==4800/RTR){nSelectCombo=4; SelScale();}
						if (NumPlot==19200/RTR){nSelectCombo=5; SelScale();}
					}
				}
			Comm.Recflag = !Comm.Recflag;
			}
		}
	}
	if(Comm.Enable==TRUE)	{	m_TextTemp = Comm.Temp;	}
	TCD = NumData*RTR/86400;
	TCH = ((NumData*RTR) - (TCD*86400))/3600;
	TCM = ((NumData*RTR)-(TCD*86400)-(TCH*3600))/60;
	TCS = (NumData*RTR)-(TCD*86400)-(TCH*3600)-(TCM*60);
	CSTCH0 = (TCH/10)+48;
	CSTCH1 = (TCH-(TCH/10)*10)+48;
	CSTCM0 = (TCM/10)+48;
	if (LongFlg == FALSE)
	{
		CSTCM1 = (TCM-(TCM/10)*10)+48;
	}
	else
	{
		CSTCM1 = (TCM-(TCM/10)*10)+48-1;
	}
	CSTCS0 = (TCS/10)+48;
	CSTCS1 = (TCS-(TCS/10)*10)+48;
	m_TimeCount = CSTCH0+CSTCH1+":"+CSTCM0+CSTCM1+":"+CSTCS0+CSTCS1;
	UpdateData(FALSE);
	CDialog::OnTimer(nIDEvent);
}

void CSeriesPortDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	KillTimer(m_time_ID);	
}

int CSeriesPortDlg::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CDialog::OnCreate(lpCreateStruct) == -1)
		return -1;	
	m_time_ID = SetTimer(10,10,NULL);	
	return 0;
}

void CSeriesPortDlg::OnSelchangeCombo() 
{
	nSelectCombo = m_Combo.GetCurSel();
	SelScale();
	if(StartPG==FALSE)	{	SelPlotter();	}
}

void CSeriesPortDlg::Plot1()
{
	int ChkPlotOut;
	int Range = 75/RTR;
	if (NumPlot>Range)	{ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-1; }
	for(int i=InPoint; i < (ChkPlotOut); i++)
	{
		if(NumPlot>i)
		{
			PG.Pointer
				(	PG.XInGh+(8*i*RTR),
					PG.YInGh-(2*TempValue[i]),
					PG.XInGh+(8*(i+1)*RTR),
					PG.YInGh-(2*TempValue[(i+1)])
				);
			PG.PlotSignal(this);
		}
	}
}

void CSeriesPortDlg::Plot2()
{	
	int ChkPlotOut;
	int Range = 300/RTR;
	if (NumPlot>Range)	{ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-2; }
	for(int i=InPoint; i < ChkPlotOut; i++)
	{	
		if(NumPlot>i)
		{
			PG.Pointer
				(	PG.XInGh+(2*i*RTR),
					PG.YInGh-(2*TempValue[i]),
					PG.XInGh+(2*(i+1)*RTR),
					PG.YInGh-(2*TempValue[(i+1)])
				);
			PG.PlotSignal(this);
		}
	}
}
void CSeriesPortDlg::Plot3()
{
	int ChkPlotOut;
	int Range = 600/RTR;
	if (NumPlot>Range)	{	ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-2; }
	for(int i=InPoint; i < ChkPlotOut; i++)
	{	
		if(NumPlot>(i+1)*2)
		{
			PG.Pointer
				(	PG.XInGh+(i*RTR),
					PG.YInGh-(2*TempValue[2*i]),
					PG.XInGh+((i+1)*RTR),
					PG.YInGh-(2*TempValue[2*(i+1)])
				);
			PG.PlotSignal(this);
		}
	}
}
void CSeriesPortDlg::Plot4()
{
	int ChkPlotOut;
	int Range = 600/RTR;
	if (NumPlot>Range)	{	ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-2; }
	for(int i=InPoint; i < ChkPlotOut; i++)
	{	
		if(NumPlot>(i+1)*8)
		{
			PG.Pointer
				(	PG.XInGh+(i*RTR),
					PG.YInGh-(2*TempValue[8*i]),
					PG.XInGh+((i+1)*RTR),
					PG.YInGh-(2*TempValue[(i+1)*8])
				);
			PG.PlotSignal(this);}
	}
}


void CSeriesPortDlg::Plot5()
{
	int ChkPlotOut;
	int Range = 1200/RTR;
	if (NumPlot>Range)	{	ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-2; }
	for(int i=InPoint; i < ChkPlotOut; i++)
	{	
		if(NumPlot>(i+1)*16)
		{
			PG.Pointer
				(	PG.XInGh+(i*RTR/2),
					PG.YInGh-(2*TempValue[16*i]),
					PG.XInGh+((i+1)*RTR/2),
					PG.YInGh-(2*TempValue[(i+1)*16])
				);
			PG.PlotSignal(this);}
	}
}

void CSeriesPortDlg::Plot6()
{
	int ChkPlotOut;
	int Range = 2400/RTR;
	if (NumPlot>Range)	{	ChkPlotOut=Range;	}
	else { ChkPlotOut=NumPlot-2; }
	for(int i=InPoint; i < ChkPlotOut; i++)
	{	
		if(NumPlot>(i+1)*32)
		{
			PG.Pointer
				(	PG.XInGh+(i*RTR/4),
					PG.YInGh-(2*TempValue[32*i]),
					PG.XInGh+((i+1)*RTR/4),
					PG.YInGh-(2*TempValue[(i+1)*32])
				);
			PG.PlotSignal(this);}
	}
}
void CSeriesPortDlg::SelPlotter()
{
	InPoint = 0;
	UpdateData(FALSE);
	if (nSelectCombo == 0)	{Plot1();}
	if (nSelectCombo == 1)	{Plot2();}
	if (nSelectCombo == 2)	{Plot3();}
	if (nSelectCombo == 3)	{Plot4();}
	if (nSelectCombo == 4)	{Plot5();}
	if (nSelectCombo == 5)	{Plot6();}
}

void CSeriesPortDlg::SelScale()
{
	if (nSelectCombo == 0)	{	PG.Build(this);	PG.Scale1(this); }
	if (nSelectCombo == 1)	{	PG.Build(this);	PG.Scale2(this); }
	if (nSelectCombo == 2)	{	PG.Build(this);	PG.Scale3(this); }
	if (nSelectCombo == 3)	{	PG.Build(this);	PG.Scale4(this); }
	if (nSelectCombo == 4)	{	PG.Build(this);	PG.Scale5(this); }
	if (nSelectCombo == 5)	{	PG.Build(this);	PG.Scale6(this); }
}

void CSeriesPortDlg::OnChklongtime()
{
	if(IsDlgButtonChecked(IDC_CHKLONGTIME))
	{
		LongFlg = TRUE;
		if (Comm.SelReal == TRUE)
		{	RTR = 1;	}
		else
		{	RTR = 30;	}
	}
	else	{	LongFlg = FALSE;	RTR = 1;	}
	SelScale();
	if(StartPG==FALSE)	{	SelPlotter();	}
}
